classification
Title: re: Docstring for \s and \S doesn’t mention Unicode
Type: enhancement Stage: resolved
Components: Documentation, Regular Expressions Versions: Python 3.2, Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: ezio.melotti Nosy List: Ramchandra Apte, docs@python, eric.araujo, ezio.melotti, mrabarnett, py.user, python-dev, tshepang
Priority: normal Keywords:

Created on 2012-03-09 06:06 by py.user, last changed 2012-04-29 10:37 by python-dev. This issue is now closed.

Messages (8)
msg155207 - (view) Author: py.user (py.user) * Date: 2012-03-09 06:06
1)
help(re)

"        \s       Matches any whitespace character; equivalent to [ \t\n\r\f\v].
        \S       Matches any non-whitespace character; equiv. to [^ \t\n\r\f\v]."


no info about unicode spaces

2)
help(re.split)

"split(pattern, string, maxsplit=0, flags=0)
    Split the source string by the occurrences of the pattern,
    returning a list containing the resulting substrings."


no info about behaviour with groups in pattern
msg155283 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2012-03-10 02:27
Please open another report for your second bug.  Thanks.
msg155287 - (view) Author: Ramchandra Apte (Ramchandra Apte) * Date: 2012-03-10 03:08
Done so see issue14244 .
msg159576 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2012-04-29 05:24
New changeset da9179248118 by Ezio Melotti in branch '3.2':
#14236: mention Unicode whitespace in \s documentation.
http://hg.python.org/cpython/rev/da9179248118

New changeset db39b9513e71 by Ezio Melotti in branch 'default':
#14236: merge with 3.2.
http://hg.python.org/cpython/rev/db39b9513e71
msg159577 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2012-04-29 05:24
Fixed, thanks for the report!
msg159586 - (view) Author: py.user (py.user) * Date: 2012-04-29 08:25
\S is equivalent to [^\s]
like \d with \D
msg159597 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2012-04-29 10:37
Good point.
msg159598 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2012-04-29 10:37
New changeset 23d5b457dc71 by Ezio Melotti in branch '3.2':
#14236: fix docs for \S.
http://hg.python.org/cpython/rev/23d5b457dc71

New changeset 9165774a8055 by Ezio Melotti in branch 'default':
#14236: merge with 3.2.
http://hg.python.org/cpython/rev/9165774a8055
History
Date User Action Args
2012-04-29 10:37:26python-devsetmessages: + msg159598
2012-04-29 10:37:18ezio.melottisetmessages: + msg159597
2012-04-29 08:25:50py.usersetmessages: + msg159586
2012-04-29 05:24:59ezio.melottisetstatus: open -> closed

assignee: docs@python -> ezio.melotti
versions: - Python 2.7
messages: + msg159577
type: enhancement
resolution: fixed
stage: resolved
2012-04-29 05:24:11python-devsetnosy: + python-dev
messages: + msg159576
2012-04-06 08:16:32py.usersettitle: re: Docstring for \s and \S don’t mention Unicode -> re: Docstring for \s and \S doesn’t mention Unicode
2012-03-10 03:08:58Ramchandra Aptesetnosy: + Ramchandra Apte
messages: + msg155287
2012-03-10 02:27:09eric.araujosetnosy: + eric.araujo
title: In help(re) are insufficient details -> re: Docstring for \s and \S don’t mention Unicode
messages: + msg155283

versions: + Python 2.7, Python 3.3
2012-03-09 17:42:31tshepangsetnosy: + tshepang
2012-03-09 06:06:56py.usercreate